@Article{inductive-*-Sr,
  author =       "Zolt{\'a}n {\'E}sik and Werner Kuich",
  title =        "Inductive $^*$-semirings",
  journal =      "Theoretical Computer Science",
  volume =       "324",
  number =       "1",
  pages =        "3--33",
  month =        sep,
  year =         "2004",
  CODEN =        "TCSCDI",
  ISSN =         "0304-3975",
  bibdate =      "Thu Nov 4 10:19:18 MST 2004",
  acknowledgement = ack-nhfb,
}

@TechReport{determinacy,
  title =        "Characterizing Determinacy in Kleene Algebras",
  author =       "Bernhard Moller and Jules Desharnais",
  year =         "2000",
  month =        oct # "~02",
  abstract =     "Elements of Kleene algebras can be used, among others,
                 as abstractions of the inputoutput semantics of
                 nondeterministic programs or as models for the
                 association of pointers with their target objects. In
                 the first case, one seeks to distinguish the subclass
                 of elements that correspond to deterministic programs.
                 In the second case one is only interested in functional
                 correspondences, since it does not make sense for a
                 pointer to point to two di#erent objects. We discuss
                 several candidate notions of determinacy and clarify
                 their relationship. Some characterizations that are
                 equivalent in the case where the underlying Kleene
                 algebra is an (abstract) relation algebra are not
                 equivalent for general Kleene algebras. 1",
  citeseer-references = "oai:CiteSeerPSU:267478; oai:CiteSeerPSU:511707;
                 oai:CiteSeerPSU:176899",
  annote =       "Author: Bernhard Moller (Affiliation: Institut fur
                 Informatik, Universitat Augsburg; Address: D-86135
                 Augsburg, Germany; ); Author: Jules Desharnais
                 (Affiliation: Report 2000-5 Mai 2000, Institut f ur
                 Informatik, Universite Laval; Address: Departement
                 d'informatique, Quebec QC G1K 7P4 Canada; ); The
                 Pennsylvania State University CiteSeer Archives",
  language =     "en",
  oai =          "oai:CiteSeerPSU:520959",
  rights =       "unrestricted",
  subject =      "Bernhard Moller,Jules Desharnais Characterizing
                 Determinacy in Kleene Algebras",
  URL =          "http://citeseer.ist.psu.edu/520959.html;
                 http://www.informatik.uni-augsburg.de/forschung/techBerichte/reports/2000-5.pdf",
}

@inproceedings{KAT-free-construction,
  author    = {Hitoshi Furusawa},
  title     = {A Free Construction of Kleene Algebras with Tests.},
  booktitle = {MPC},
  year      = {2004},
  pages     = {129-141},
  ee        = {http://springerlink.metapress.com/openurl.asp?genre=article{\&}issn=0302-9743{\&}volume=3125{\&}spage=129},
  crossref  = {DBLP:conf/mpc/2004},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@proceedings{DBLP:conf/mpc/2004,
  editor    = {Dexter Kozen and
               Carron Shankland},
  title     = {Mathematics of Program Construction, 7th International Conference,
               MPC 2004, Stirling, Scotland, UK, July 12-14, 2004, Proceedings},
  booktitle = {MPC},
  publisher = {Springer},
  series    = {Lecture Notes in Computer Science},
  volume    = {3125},
  year      = {2004},
  isbn      = {3-540-22380-0},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@techreport{KAT-representation,
 author = {Dexter Kozen},
 title = {On the Representation of Kleene Algebras with Tests},
 year = {2003},
 publisher = {Cornell University},
 address = {Ithaca, NY, USA},
  note = 	 {\url!http://www.cs.cornell.edu/kozen/papers/rep.ps!},
 }